# Retrieve card of a specific user by ID **GET /profile/get-id/{id}** Get the card/profile by user ID. ## Servers - Generic Language-specific server: https://en.pronouns.page/api/public/v3 (Generic Language-specific server) - Deutsch (German) server: https://pronomen.net/api/public/v3 (Deutsch (German) server) - Español (Spanish) server: https://pronombr.es/api/public/v3 (Español (Spanish) server) - Esperanto server: https://pronomejo.net/api/public/v3 (Esperanto server) - Italiano (Italian) server: https://pronom.it/api/public/v3 (Italiano (Italian) server) - Føroyskt (Faroese) server: https://fornovn.fo/api/public/v3 (Føroyskt (Faroese) server) - Français (French) server: https://pronoms.fr/api/public/v3 (Français (French) server) - Polski (Polish) server: https://zaimki.pl/api/public/v3 (Polski (Polish) server) - Base server (English): https://pronouns.page/api/public/v3 (Base server (English)) ## Parameters ### Headers - **Accept** (string) The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to `application/json` ### Path parameters - **id** (integer) The ID of the user whose pronouns are to be retrieved. ## Responses ### 200 Example User Data #### Body: application/json (object) - **username** (string) The user's username - **id** (string) A unique identifier for an item, typically a 26-character alphanumeric string. - **avatarSource** (string) The source of the user's profile picture - **bannedReason** (string | null) The reason that the user was banned for (if available) - **bannedTerms** (array[string]) The specific sections of the ToS in which the user violated - **bannedBy** (string) A unique identifier for an item, typically a 26-character alphanumeric string. - **team** (boolean) Whether or not the user is a team member - **personally** (string | null) - **emailHash** (string) The hash of the user's email address (MD5 if old, SHA1 if new) - **avatar** (string) The link to the user's avatar - **profiles** (array[object]) The profiles that the user has ### default Basic Error Response #### Body: application/json (object) - **statusCode** (number) The HTTP Status Code associated with the error - **error** (boolean) Indicates that the response is an error - **statusMessage** (string) The message associated with the error - **message** (string) The message associated with the error (client visible) - **url** (string) The URL that was requested which resulted in the error [Powered by Bump.sh](https://bump.sh)